/* Goal container */
.h5p-goals-page .created-goal-container {
  position: relative;
  background-color: var(--h5p-theme-alternative-base);
  padding: var(--h5p-theme-spacing-s);
  margin-bottom: var(--h5p-theme-spacing-s);
  border-radius: var(--h5p-theme-border-radius-medium);
}

/* ------------------------ Main classes ----------------------------- */

.h5p-goals-page .goals-title {
  border-bottom: 1px solid var(--h5p-theme-stroke-1);
  padding: 0.5em 0;
  margin-bottom: 0.5em;
  font-size: var(--h5p-theme-font-size-l);
  color: var(--h5p-theme-text-third);
}

.h5p-goals-page .goals-define {
  margin: var(--h5p-theme-spacing-xxs) 0;
}

.h5p-goals-page .goals-description {
  padding-top: var(--h5p-theme-spacing-s);
}

.h5p-goals-page .goals-counter .goals-counter-text {
  color: var(--h5p-theme-text-third);
}

.h5p-goals-page .goals-view {
  padding-top: 0.25em;
}

/* ------------------- Goal container truncation ------------------------- */

.h5p-goals-page .created-goal-container .created-goal {
  box-sizing: border-box;
  width: 100%;
  word-wrap: break-word;
  font-size: var(--h5p-theme-font-size-m);
  resize: none;
  overflow-y: hidden;
  font-family: var(--h5p-theme-font-name);
  display: flex;
  align-items: center;
  background-color: var(--h5p-theme-ui-base);
  box-shadow: inset 0px 0px 4px 4px rgba(117, 128, 147, 0.10);
  border-radius: var(--h5p-theme-border-radius-medium);
  border: 2px solid var(--h5p-theme-stroke-1);
  padding: var(--h5p-theme-spacing-xs) var(--h5p-theme-spacing-xs);
  color: var(--h5p-theme-text-primary);
}

.h5p-goals-page .created-goal-container .created-goal:focus-visible,
.h5p-goals-page .h5p-created-goal-remove.h5p-goals-button:focus-visible {
  background-color: var(--h5p-theme-ui-base);
  outline: 2px ridge var(--h5p-theme-contrast-cta-white);
  outline-offset: 2px;
}

/* ------------------------- Goal container colors ------------------------ */
/* Background colors */
.h5p-goals-page .created-goal-container.goal-type-0,
.h5p-goals-page .created-goal-container.goal-type-1,
.h5p-goals-page .created-goal-container.goal-type-2 {
  background-color: var(--h5p-theme-ui-base);
}

.h5p-goals-page button.h5p-created-goal-remove {
  position: absolute;
  top: -0.8em;
  right: -0.8em;
  cursor: pointer;
  background: var(--h5p-theme-ui-base);
  border-radius: 50%;
  border: none;
  padding: 3px;
  line-height: 1;
  color: var(--h5p-theme-feedback-incorrect-main);

}

.h5p-goals-page .h5p-created-goal-remove:before {
  font-family: 'h5p-theme';
  content: '\e910';
  border: 2px solid var(--h5p-theme-feedback-incorrect-main);
  text-align: center;
  border-radius: 50%;
  width: 1.5em;
  height: 1.5em;
  display: inline-block;
  line-height: 1.5;
  transition: all 0.2s;
  padding: 0.1rem;
}


.h5p-goals-page .h5p-created-goal-remove:hover:before {
  background-color: var(--h5p-theme-feedback-incorrect-main);
  border-color: var(--h5p-theme-feedback-incorrect-main);
  color: var(--h5p-theme-feedback-incorrect-secondary);
}

/* ------------------------------ Buttons -------------------------------------------------- */
/* Rounded button css in 'H5P.JoubelUI' library */

.h5p-goals-page .goals-define .h5p-theme-goals-create:before {
  font-family: "h5p-theme";
  content: "\e918";
}

.h5p-goals-page .goals-define .goals-search {
  float: left;
  margin-right: 1em;
}

.h5p-goals-page .goals-define .goals-search:before {
  font-family: "H5PFontAwesome4";
  content: "\f07c";
}
